org.h2.fulltext

## Class FullTextLucene.FullTextTrigger

- java.lang.Object
- - org.h2.fulltext.FullTextLucene.FullTextTrigger

- All Implemented Interfaces:
    Trigger
  Enclosing class:
    FullTextLucene

      public static final class FullTextLucene.FullTextTrigger
      extends java.lang.Object
      implements Trigger

  Trigger updates the index when a inserting, updating, or deleting a row.

- - ### Field Summary

    - ### Fields inherited from interface org.h2.api.Trigger

      `DELETE, INSERT, SELECT, UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FullTextTrigger()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` INTERNAL
    `void` | `fire(java.sql.Connection conn, java.lang.Object[] oldRow, java.lang.Object[] newRow)` INTERNAL
    `void` | `init(java.sql.Connection conn, java.lang.String schemaName, java.lang.String triggerName, java.lang.String tableName, boolean before, int type)` INTERNAL

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.h2.api.Trigger

      `remove`

- - ### Constructor Detail

    - #### FullTextTrigger

          public FullTextTrigger()

  - ### Method Detail

    - #### init

          public void init(java.sql.Connection conn,
                           java.lang.String schemaName,
                           java.lang.String triggerName,
                           java.lang.String tableName,
                           boolean before,
                           int type)
                    throws java.sql.SQLException

      INTERNAL
      Specified by:
        `init` in interface `Trigger`
      Parameters:
        `conn` - a connection to the database (a system connection)
        `schemaName` - the name of the schema
        `triggerName` - the name of the trigger used in the CREATE TRIGGER statement
        `tableName` - the name of the table
        `before` - whether the fire method is called before or after the operation is performed
        `type` - the operation type: INSERT, UPDATE, DELETE, SELECT, or a combination (this parameter is a bit field)
      Throws:
        `java.sql.SQLException` - on SQL exception
      See Also:
        `Trigger.init(Connection, String, String, String, boolean, int)`

    - #### fire

          public void fire(java.sql.Connection conn,
                           java.lang.Object[] oldRow,
                           java.lang.Object[] newRow)
                    throws java.sql.SQLException

      INTERNAL
      Specified by:
        `fire` in interface `Trigger`
      Parameters:
        `conn` - a connection to the database
        `oldRow` - the old row, or null if no old row is available (for INSERT)
        `newRow` - the new row, or null if no new row is available (for DELETE)
      Throws:
        `java.sql.SQLException` - if the operation must be undone
      See Also:
        `Trigger.fire(Connection, Object[], Object[])`

    - #### close

          public void close()
                     throws java.sql.SQLException

      INTERNAL
      Specified by:
        `close` in interface `Trigger`
      Throws:
        `java.sql.SQLException` - on SQL exception